Bug 829958 - spacewalk-setup is very unfriendly about handling if postgresql plpgsql is not created
spacewalk-setup is very unfriendly about handling if postgresql plpgsql is no...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
1.7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-06-07 17:29 EDT by Ben Galliart
Modified: 2012-11-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 03:33:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Galliart 2012-06-07 17:29:03 EDT
Description of problem:
Following the directions at https://fedorahosted.org/spacewalk/wiki/HowToInstall results in an generic error that the database could not be populated.

The helpful error message that plpgsql must be loaded is hidden away in /var/log/rhn/populate_db.log  Given the project is now called spacewalk, this seems like an odd location for a spacewalk novice to go searching for logs.  Also, this log location is never stated in HowToInstall or by the output of the spacewalk-setup script.

Version-Release number of selected component (if applicable):
1.7

How reproducible:
Always

Steps to Reproduce:
1.Install CentOS 6
2.Follow the instructions at https://fedorahosted.org/spacewalk/wiki/HowToInstall
3.
  
Actual results:
spacewalk-setup script outputs:
"Could not populate database."

Expected results:
If the postgresql user provided to the script has superuser access, then I expect the script to attempt to issue the create language plpgsql itself.

For any error where the script fails to populate the database, my expectation is that the location of the populate_db.log would be provided as part of the error message.

Additional info:
Comment 1 Jan Pazdziora 2012-06-08 03:33:02 EDT
(In reply to comment #0)
> 
> The helpful error message that plpgsql must be loaded is hidden away in
> /var/log/rhn/populate_db.log  Given the project is now called spacewalk,
> this seems like an odd location for a spacewalk novice to go searching for
> logs.  Also, this log location is never stated in HowToInstall or by the
> output of the spacewalk-setup script.

I've now amended the HowToInstall page with reference to /var/log/rhn.

> Expected results:
> If the postgresql user provided to the script has superuser access, then I
> expect the script to attempt to issue the create language plpgsql itself.

The expectation is really wrong here -- Spacewalk expects the plpgsql language to be created in the database beforehand -- please see https://fedorahosted.org/spacewalk/wiki/PostgreSQLServerSetup.

Note You need to log in before you can comment on or make changes to this bug.